Index: /extensions/piclens/admin/piclens_admin.php
===================================================================
--- /extensions/piclens/admin/piclens_admin.php	(revision 3597)
+++ /extensions/piclens/admin/piclens_admin.php	(revision 3598)
@@ -40,4 +40,8 @@
 				l10n('piclens_3dwallconfig_tab'),
                $my_base_url.'&amp;tab=piclenswallconfig');
+$tabsheet->add('piclenswallconfig2',
+//               'Configugation PiclensWall',
+				l10n('piclens_3dwallconfig2_tab'),
+               $my_base_url.'&amp;tab=piclenswallconfig2');
 $tabsheet->select($page['tab']);
 $tabsheet->assign();
Index: /extensions/piclens/admin/piclenswallconfig.php
===================================================================
--- /extensions/piclens/admin/piclenswallconfig.php	(revision 3597)
+++ /extensions/piclens/admin/piclenswallconfig.php	(revision 3598)
@@ -17,15 +17,18 @@
 $me = get_plugin_data($plugin_id);
 
- $template->set_filenames( array('plugin_admin_content' => PICLENS_ROOT.'/admin/piclenswallconfig.tpl') );
+ $template->set_filenames( 
+		array('plugin_admin_content' => PICLENS_ROOT.'/admin/piclenswallconfig.tpl'		  
+			) );
 
+			
 
 if (isset($_POST['submit'])) { 
   $me->my_config['piclens_wall'] = isset($_POST['piclens_wall']);
   $me->my_config['piclens_wall_title'] = $_POST['piclens_wall_title'];
-  $me->my_config['piclens_wall_color'] =   $_POST['background_color'];
   $me->my_config['piclens_wall_height'] =   $_POST['piclens_wall_height'];
   $me->my_config['piclens_wall_categories'] = isset($_POST['categories']) ? 
                           array_map("mysql_escape_string", $_POST['categories']) :
                           array(); 
+
   $me->my_config['piclens_wall_nav'] = isset($_POST['piclens_wall_nav']);
   $me->my_config['piclens_wall_cat_nav_replace'] = isset($_POST['categories_nav']) ? 
@@ -35,9 +38,4 @@
   $me->my_config['piclens_wall_ontop'] = isset($_POST['piclens_wall_ontop']);  
   $me->my_config['piclens_wall_oncat'] = isset($_POST['piclens_wall_oncat']); 
-  $me->my_config['piclens_wall_showembed'] = isset($_POST['piclens_wall_embed']);
-  $me->my_config['piclens_wall_showfullscreen'] = isset($_POST['piclens_wall_fullscreen']);
-  $me->my_config['piclens_wall_showsearch'] = isset($_POST['piclens_wall_search']);
-  $me->my_config['piclens_wall_showsearch'] = isset($_POST['piclens_wall_search']);
-  $me->my_config['piclens_wall_transparent'] =   isset($_POST['piclens_wall_transparent']);
 
   $me->my_config['piclens_wall_spec'] = isset($_POST['piclens_wall_spec']);
@@ -49,5 +47,4 @@
 
   $me->my_config['piclens_wall_swflocal'] = isset($_POST['piclens_wall_swflocal']);
-  $me->my_config['piclens_wall_nb_ligne'] =   $_POST['piclens_wall_nb_ligne'];
   
   if ($pwgstuff_ok && $me->my_config['piclens_wall'])
@@ -71,19 +68,4 @@
 }
 
-//$template->assign('PICLENS_COPY_CROSSDOMAIN', file_exists($filename) ? l10n('piclens_label_crossdomain1') : '<input type="checkbox" name="crossdomain_copy" /> '.l10n('piclens_label_crossdomain2'));
-
-//$template->assign('PICLENS_COPY_CROSSDOMAIN', file_exists($filename));
-
-//$template->assign('PICLENS_PWGSTUFF', $pwgstuff_ok ? 'disabled="disabled"' : '');
-//$template->assign('PICLENS_PWGSTUFF1', $pwgstuff_ok ? l10n('piclens_label_pwgstuff1'): l10n('piclens_label_pwgstuff2'));
-
-//$template->assign('PICLENS_WALL_ACTIVATED', $me->my_config['piclens_wall'] ? 'checked="checked"' : '' );
-
-//$template->assign(array($me->my_config['piclens_wall_color'].'_CHECKED' => 'checked="checked"'));
-//$template->assign(array($me->my_config['piclens_wall_specif'].'_CHECKED' => 'checked="checked"'));
-//$template->assign(array('PICLENS_WALL_HEIGHT' => $me->my_config['piclens_wall_height']));
-
-//$template->assign('CROSSDOMAIN_LNK', PICLENS_PATH.'crossdomain.xml');
-
 $query = '
   SELECT id,name,uppercats,global_rank
@@ -100,22 +82,6 @@
     true);
 	
-//$template->assign('PICLENS_WALL_ONTOP', $me->my_config['piclens_wall_ontop'] ? 'checked="checked"' : '' );
-//$template->assign('PICLENS_WALL_ONCAT', $me->my_config['piclens_wall_oncat'] ? 'checked="checked"' : '' );
 
-//$template->assign('PICLENS_WALL_EMBED', $me->my_config['piclens_wall_showembed'] ? 'checked="checked"' : '' );
-//$template->assign('PICLENS_WALL_FULLSCREEN', $me->my_config['piclens_wall_showfullscreen'] ? 'checked="checked"' : '' );
-//$template->assign('PICLENS_WALL_SEARCH', $me->my_config['piclens_wall_showsearch'] ? 'checked="checked"' : '' );
 
-//$template->assign('PICLENS_WALL_NAV', $me->my_config['piclens_wall_nav'] ? 'checked="checked"' : '' );
-//$template->assign('PICLENS_WALL_TITLE', $me->my_config['piclens_wall_title']);
-
-//$template->assign('PICLENS_WALL_SPEC', $me->my_config['piclens_wall_spec'] ? 'checked="checked"' : '' );
-
-//$template->assign('PICLENS_WALL_SPEC', $me->my_config['piclens_wall_spec'] ? 'checked="checked"' : '' );
-//$template->assign('PICLENS_WALL_SPEC_RECENTPICS', $me->my_config['piclens_wall_spec_recentpics'] ? 'checked="checked"' : '' );
-//$template->assign('PICLENS_WALL_SPEC_RECENTCATS', $me->my_config['piclens_wall_spec_recentcats'] ? 'checked="checked"' : '' );
-//$template->assign('PICLENS_WALL_SPEC_MOSTVISITED', $me->my_config['piclens_wall_spec_mostvisited'] ? 'checked="checked"' : '' );
-//$template->assign('PICLENS_WALL_SPEC_BESTRATED', $me->my_config['piclens_wall_spec_bestrated'] ? 'checked="checked"' : '' );
-//$template->assign('PICLENS_WALL_SPEC_FAVORITES', $me->my_config['piclens_wall_spec_favorites'] ? 'checked="checked"' : '' );
 
 $template->assign(array(
@@ -124,5 +90,4 @@
 	'PICLENS_PWGSTUFF1'									=> ($pwgstuff_ok ? l10n('piclens_label_pwgstuff1'): l10n('piclens_label_pwgstuff2')),
 	'PICLENS_WALL_ACTIVATED'							=> ($me->my_config['piclens_wall'] ? 'checked="checked"' : '' ),
-	$me->my_config['piclens_wall_color'].'_CHECKED' 	=> 'checked="checked"',
 	$me->my_config['piclens_wall_specif'].'_CHECKED' 	=> 'checked="checked"',
 	'PICLENS_WALL_HEIGHT' 								=> $me->my_config['piclens_wall_height'],
@@ -130,8 +95,4 @@
 	'PICLENS_WALL_ONTOP'								=> ($me->my_config['piclens_wall_ontop'] ? 'checked="checked"' : '' ),
 	'PICLENS_WALL_ONCAT'								=> ($me->my_config['piclens_wall_oncat'] ? 'checked="checked"' : '' ),
-	'PICLENS_WALL_EMBED'								=> ($me->my_config['piclens_wall_showembed'] ? 'checked="checked"' : '' ),
-	'PICLENS_WALL_FULLSCREEN'							=> ($me->my_config['piclens_wall_showfullscreen'] ? 'checked="checked"' : '' ),
-	'PICLENS_WALL_SEARCH'								=> ($me->my_config['piclens_wall_showsearch'] ? 'checked="checked"' : '' ),
-	'PICLENS_WALL_TRANSPARENT'							=> ($me->my_config['piclens_wall_transparent'] ? 'checked="checked"' : '' ),
 	'PICLENS_WALL_NAV'									=> ($me->my_config['piclens_wall_nav'] ? 'checked="checked"' : '' ),
 	'PICLENS_WALL_TITLE'								=> $me->my_config['piclens_wall_title'],
@@ -143,8 +104,6 @@
 	'PICLENS_WALL_SPEC_BESTRATED'						=> ($me->my_config['piclens_wall_spec_bestrated'] ? 'checked="checked"' : '' ),
 	'PICLENS_WALL_SPEC_FAVORITES'						=> ($me->my_config['piclens_wall_spec_favorites'] ? 'checked="checked"' : '' ),
-	'PICLENS_WALL_SWFLOCAL'								=> ($me->my_config['piclens_wall_swflocal'] ? 'checked="checked"' : '' ),
-    'PICLENS_WALL_NB_LIGNE'                             => $me->my_config['piclens_wall_nb_ligne']
+	'PICLENS_WALL_SWFLOCAL'								=> ($me->my_config['piclens_wall_swflocal'] ? 'checked="checked"' : '' )
 	));
-
 
 $template->assign_var_from_handle( 'ADMIN_CONTENT', 'plugin_admin_content');
Index: /extensions/piclens/admin/piclenswallconfig.tpl
===================================================================
--- /extensions/piclens/admin/piclenswallconfig.tpl	(revision 3597)
+++ /extensions/piclens/admin/piclenswallconfig.tpl	(revision 3598)
@@ -79,30 +79,6 @@
 		
 		<tr>
-		    <td align="right">{'piclens_wallcfg_color'|@translate} &nbsp;</td>
-		    <td><input type="radio" name="background_color" value="dark" {$dark_CHECKED}>&nbsp;{'piclens_wallcfg_colorB'|@translate}</td>
-		</tr>
-		<tr>
-		    <td align="right"></td>
-		    <td><input type="radio" name="background_color" value="white" {$white_CHECKED}>&nbsp;{'piclens_wallcfg_colorW'|@translate}</td>
-		</tr>
-		<tr>
 			<td align="right">{'piclens_wallcfg_heigh'|@translate} &nbsp;</td>
 			<td><input type="text" size="3" maxlength="3" value="{$PICLENS_WALL_HEIGHT}" name="piclens_wall_height">&nbsp;px</td>
-		</tr>
-		<br>
-		<tr>
-			<td align="right"> {'piclens_wallcfg_option'|@translate} &nbsp; </td>
-		    <td>
-				 <input type="checkbox" name="piclens_wall_embed" {$PICLENS_WALL_EMBED}/>&nbsp; {'piclens_wallcfg_option-opt1'|@translate} 
-				 <br>
-				 <input type="checkbox" name="piclens_wall_fullscreen" {$PICLENS_WALL_FULLSCREEN}/>&nbsp; {'piclens_wallcfg_option-opt2'|@translate}
-				 <br>
-				 <input type="checkbox" name="piclens_wall_search" {$PICLENS_WALL_SEARCH}/>&nbsp; {'piclens_wallcfg_option-opt3'|@translate}
-				 <br>
-				 <input type="checkbox" name="piclens_wall_transparent" {$PICLENS_WALL_TRANSPARENT}/>&nbsp; {'piclens_wallcfg_transparent'|@translate}
-				 <br/>
-                 {'piclens_wallcfg_nbligne'|@translate} &nbsp;<input type="text" size="2" maxlength="2" value="{$PICLENS_WALL_NB_LIGNE}" name="piclens_wall_nb_ligne">&nbsp;
-				 <br/>
-			</td>
 		</tr>
 		<br>
@@ -126,4 +102,5 @@
 			</td>
 		</tr>
+		
 	</TABLE>
 </fieldset>
Index: /extensions/piclens/admin/piclenswallconfig2.php
===================================================================
--- /extensions/piclens/admin/piclenswallconfig2.php	(revision 3598)
+++ /extensions/piclens/admin/piclenswallconfig2.php	(revision 3598)
@@ -0,0 +1,101 @@
+<?php
+/*
+ * Plugin Name: CoolIris-Piclens
+ * Version: 0.3.4
+ * Description: Cooliris/Piclens activation
+ * Plugin URI: http://fr.piwigo.org/ext/extension_view.php?eid=234
+ * Author: Tiico
+ * Author URI: 
+ * */
+/********* Fichier piclenswallconfig2.php  *********/
+/* Advanced configuration for embeded wall
+
+backgroundAlpha  0.0 to 1.0      Changes background transparency (Not Well Supported on IE).     To change the backgroundAlpha, you must set the FlashVar "wmode" to "transparent". You can change the alpha and color together. 
+backgroundColor  Hexadecimal Color String     Sets a color for the background.     This can be specified in either of the usual HTML color formats (#FFFFFF or #FFF), or as a hexidecimal number (0xFFFFFF). Note that if you are setting the FlashVars in the SWF's url, you must escape the # character as %23. 
+backgroundImage  URL     Specifies a background image for the wall.     The background image can be a PNG, GIF, or JPG. The background image covers the background color. 
+customButton  imageURL,targetURL     Adds a custom button in the lower right corner of the toolbar. 
+descriptionHeight  0 to 100     Sets the percentage height of the name and description overlay when items are selected. 
+feed  URL     Specifies the feed (MediaRSS or API) that the wall should display. 
+glowColor  Hexadecimal Color String     Changes the color of the glow around the selected cell (Default is white).     The color string can be specified as it is for backgroundColor. 
+icons  baseURL     Points to a directory of PNG images for custom toolbar icons.
+    The following filenames in the directory will be used:
+        * embed.png - Embed Code button
+        * fullscreen.png - Fullscreen/Launch Client button
+        * next.png - Next Item button
+        * pause.png - Pause Slideshow button
+        * play.png - Start Slideshow button.
+        * prev.png - Previous Item button
+        * search.png - Search button
+
+itemGUID  string     Sets the initially-selected item when the wall loads.     The wall will automatically select the item in a MediaRSS feed with the <guid> </guid> that matches the provided identifier. This enables you to provide "permalinks" to a particular item in the wall. Note that the desired item must be present in the initial feed loaded by the wall (it can't be in a next/previous feed). 
+linkCSS  string     A CSS string to be applied to any HTML links in item descriptions. 
+numRows  1 to 7     Sets how many rows of images to show in the UI.     Note that as you show more rows, the wall is more CPU intensive and may run slower for older computers. 
+showChrome  true | false     Shows or hides the bottom toolbar background. 
+showDescription  true | false     Shows or hides the item description overlay. 
+showReflections  true | false     Shows or hides the reflections under the images.     Hiding the reflections will improve performance. 
+showEmbed  true | false     Shows or hides the Embed Code button. 
+showSearch  true | false     Shows or hides the Search button. 
+showTutorial  true | false     If set to true, show a tutorial message if the user does not click on the wall.     By default, the tutorial message says "Click and Drag to Begin", and will display after a few seconds of no interaction. This can be customized with the tutorial FlashVar. 
+showNavArrows  true | false     Shows or hides the left/right navigation arrows. 
+style  black | dark | light | white     Sets the theme to use for the wall.     This sets up different default background colors and button appearances. 
+tilt  0 to 5     Sets the amount of wall tilt (or disables it by setting it to 0). 
+
+tutorial  delayInMillis,imageURL     Customizes the tutoril message and delay.     Instead of the simple Click & Drag to Begin, you can use your own tutorial message (as an image file). To customize the delay and tutorial, pass in a time value (in milliseconds) and a URL to your tutorial image. For example, tutorial=4500,images/tutorial.png will show the designed PNG in 4.5 seonds, unless the user starts interacting with the wall. 
+*/
+
+if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
+
+global $template, $page;
+ 
+$pwgstuff_ok = get_db_plugins('active','PWG_Stuffs');
+$me = get_plugin_data($plugin_id);
+
+ $template->set_filenames( 
+		array('plugin_admin_content' => PICLENS_ROOT.'/admin/piclenswallconfig2.tpl'		  
+			) );
+
+			
+
+if (isset($_POST['submit'])) { 
+  $me->my_config['piclens_wall_color'] =   $_POST['background_color'];
+  $me->my_config['piclens_wall_showembed'] = isset($_POST['piclens_wall_embed']);
+  $me->my_config['piclens_wall_showfullscreen'] = isset($_POST['piclens_wall_fullscreen']);
+  $me->my_config['piclens_wall_showsearch'] = isset($_POST['piclens_wall_search']);
+  $me->my_config['piclens_wall_transparent'] =   isset($_POST['piclens_wall_transparent']);
+$me->my_config['piclens_wall_showChrome']  = isset($_POST['piclens_wall_showChrome']);
+$me->my_config['piclens_wall_showDescription']  = isset($_POST['piclens_wall_showDescription']);
+$me->my_config['piclens_wall_showReflections']  = isset($_POST['piclens_wall_showReflections']);
+$me->my_config['piclens_wall_showTutorial']  = isset($_POST['piclens_wall_showTutorial']);
+$me->my_config['piclens_wall_showNavArrows']  = isset($_POST['piclens_wall_showNavArrows']);
+$me->my_config['piclens_wall_nb_ligne']     = $_POST['piclens_wall_nb_ligne'];
+$me->my_config['piclens_wall_backgroundAlpha']     = $_POST['piclens_wall_backgroundAlpha'];
+
+  $me->save_config();
+  array_push($page['infos'], l10n('piclens_admin_saveOK'));
+	
+}
+
+
+
+
+
+$template->assign(array(
+	$me->my_config['piclens_wall_color'].'_CHECKED' 	=> 'checked="checked"',
+	'PICLENS_WALL_EMBED'								=> ($me->my_config['piclens_wall_showembed'] ? 'checked="checked"' : '' ),
+	'PICLENS_WALL_FULLSCREEN'							=> ($me->my_config['piclens_wall_showfullscreen'] ? 'checked="checked"' : '' ),
+	'PICLENS_WALL_SEARCH'								=> ($me->my_config['piclens_wall_showsearch'] ? 'checked="checked"' : '' ),
+	'PICLENS_WALL_TRANSPARENT'							=> ($me->my_config['piclens_wall_transparent'] ? 'checked="checked"' : '' ),
+
+	'PICLENS_WALL_SHOWCHROME'							=> ($me->my_config['piclens_wall_showChrome'] ? 'checked="checked"' : '' ),
+	'PICLENS_WALL_SHOWDESCRIPTION'							=> ($me->my_config['piclens_wall_showDescription'] ? 'checked="checked"' : '' ),
+	'PICLENS_WALL_SHOWREFLECTIONS'							=> ($me->my_config['piclens_wall_showReflections'] ? 'checked="checked"' : '' ),
+	'PICLENS_WALL_SHOWTUTORIAL'							=> ($me->my_config['piclens_wall_showTutorial'] ? 'checked="checked"' : '' ),
+	'PICLENS_WALL_SHOWNAVARROWS'							=> ($me->my_config['piclens_wall_showNavArrows'] ? 'checked="checked"' : '' ),
+	'PICLENS_WALL_NB_LIGNE'							=> $me->my_config['piclens_wall_nb_ligne'],
+	'PICLENS_WALL_BACKGROUNDALPHA'						=> $me->my_config['piclens_wall_backgroundAlpha'],
+    
+	));
+
+$template->assign_var_from_handle( 'ADMIN_CONTENT', 'plugin_admin_content');
+
+?>
Index: /extensions/piclens/admin/piclenswallconfig2.tpl
===================================================================
--- /extensions/piclens/admin/piclenswallconfig2.tpl	(revision 3598)
+++ /extensions/piclens/admin/piclenswallconfig2.tpl	(revision 3598)
@@ -0,0 +1,87 @@
+{known_script id="jquery" src=$ROOT_URL|@cat:"template-common/lib/jquery.packed.js"}
+{known_script id="jquery.ui" src=$ROOT_URL|@cat:"template-common/lib/ui/ui.core.packed.js"}
+{known_script id="jquery.ui.resizable" src=$ROOT_URL|@cat:"template-common/lib/ui/ui.resizable.packed.js"}
+
+{html_head}
+{/html_head}
+
+
+
+<div class="titrePage">
+  <h2>Piclens</h2>
+</div>
+<p>
+{'piclens_admin_title'|@translate}
+</p>
+<form method="post" action="{$PICLENS_F_ACTION}" class="general">
+<fieldset>
+	<legend>{'piclens_wallcfg_title'|@translate}</legend>
+	<TABLE>
+		<tr><td colspan="2"><br></td></tr>
+
+		<tr>
+			<td colspan="2" align="center">{'piclens_stuff_param_commun'|@translate}</td>
+		</tr>
+		<tr>
+		
+		<tr>
+		<tr>
+		    <td align="right"></td>
+		    <td><input type="radio" name="background_color" value="dark" {$dark_CHECKED}>&nbsp;{'piclens_wallcfg_colorB'|@translate}</td>
+		</tr>
+		<tr>
+		    <td align="right"></td>
+		    <td><input type="radio" name="background_color" value="white" {$white_CHECKED}>&nbsp;{'piclens_wallcfg_colorW'|@translate}</td>
+		</tr>
+		<tr>
+		    <td align="right">{'piclens_wallcfg_color'|@translate} &nbsp;</td>
+		    <td><input type="radio" name="background_color" value="black" {$black_CHECKED}>&nbsp;{'piclens_wallcfg_colorD'|@translate}</td>
+		</tr>
+		<tr>
+		    <td align="right"></td>
+		    <td><input type="radio" name="background_color" value="light" {$light_CHECKED}>&nbsp;{'piclens_wallcfg_colorL'|@translate}</td>
+		</tr>
+		<tr><td colspan="2"><hr></td></tr>
+
+		<tr>
+			<td align="right"> {'piclens_wallcfg_option'|@translate} &nbsp; </td>
+		    <td>
+				 <input type="checkbox" name="piclens_wall_embed" {$PICLENS_WALL_EMBED}/>&nbsp; {'piclens_wallcfg_option-opt1'|@translate} 
+				 <br>
+				 <input type="checkbox" name="piclens_wall_fullscreen" {$PICLENS_WALL_FULLSCREEN}/>&nbsp; {'piclens_wallcfg_option-opt2'|@translate}
+				 <br>
+				 <input type="checkbox" name="piclens_wall_search" {$PICLENS_WALL_SEARCH}/>&nbsp; {'piclens_wallcfg_option-opt3'|@translate}
+				 <br>
+				 <input type="checkbox" name="piclens_wall_transparent" {$PICLENS_WALL_TRANSPARENT}/>&nbsp; {'piclens_wallcfg_transparent'|@translate}
+				 <br/>
+
+				 <input type="checkbox" name="piclens_wall_showChrome" {$PICLENS_WALL_SHOWCHROME}/>&nbsp; {'piclens_wall_showChrome'|@translate}
+				 <br/>
+				 <input type="checkbox" name="piclens_wall_showDescription" {$PICLENS_WALL_SHOWDESCRIPTION}/>&nbsp; {'piclens_wall_showDescription'|@translate}
+				 <br/>
+				 <input type="checkbox" name="piclens_wall_showReflections" {$PICLENS_WALL_SHOWREFLECTIONS}/>&nbsp; {'piclens_wall_showReflections'|@translate}
+				 <br/>
+				 <input type="checkbox" name="piclens_wall_showTutorial" {$PICLENS_WALL_SHOWTUTORIAL}/>&nbsp; {'piclens_wall_showTutorial'|@translate}
+				 <br/>
+				 <input type="checkbox" name="piclens_wall_showNavArrows" {$PICLENS_WALL_SHOWNAVARROWS}/>&nbsp; {'piclens_wall_showNavArrows'|@translate}
+				 <br/>
+                 
+			</td>
+		</tr>
+		<tr><td colspan="2"><hr></td></tr>
+		<tr>
+			<td align="right">{'piclens_wallcfg_nbligne'|@translate} &nbsp;</td>
+			<td><input type="text" size="2" maxlength="1" value="{$PICLENS_WALL_NB_LIGNE}" name="piclens_wall_nb_ligne">&nbsp;</td>
+		</tr>
+		<tr>
+			<td align="right">{'piclens_wallcfg_backgroundAlpha'|@translate} &nbsp;</td>
+			<td><input type="text" size="3" maxlength="3" value="{$PICLENS_WALL_BACKGROUNDALPHA}" name="piclens_wall_backgroundAlpha">&nbsp;</td>
+		</tr>
+        
+	</TABLE>
+</fieldset>
+<br/>
+
+<p><input type="submit" name="submit" value="{'piclens_admin_submit'|@translate}" /></p>
+
+</form>
Index: /extensions/piclens/admin/rssfeed.php
===================================================================
--- /extensions/piclens/admin/rssfeed.php	(revision 3597)
+++ /extensions/piclens/admin/rssfeed.php	(revision 3598)
@@ -20,5 +20,5 @@
 
 //$order_list = array('Defaut Piwigo', 'Date de Creation', 'Date d\'ajout', 'Note Moyenne', 'Plus vues', 'Nom du fichier', 'Id', 'Al&eacute;atoire', 'Cat&eacute;gories');
-$order_list = array(l10n('piclens_label_orderPiwigo'), l10n('piclens_label_orderCreDate'), l10n('piclens_label_orderAddDate'), l10n('piclens_label_orderAverage'), l10n('piclens_label_orderBest'), l10n('piclens_label_orderName'), l10n('piclens_label_orderID'), l10n('piclens_label_orderRand'), l10n('piclens_label_orderCat'), l10n('piclens_label_orderRank'));
+$order_list = array(l10n('piclens_label_orderPiwigo'), l10n('piclens_label_orderCreDate'), l10n('piclens_label_orderAddDate'), l10n('piclens_label_orderRank'), l10n('piclens_label_orderBest'), l10n('piclens_label_orderName'), l10n('piclens_label_orderID'), l10n('piclens_label_orderRand'), l10n('piclens_label_orderCat'));
 //$sort_list = array('Defaut Piwigo', 'Croissant', 'Decroissant');
 $sort_list = array(l10n('piclens_label_sortPiwigo'), l10n('piclens_label_sortUp'), l10n('piclens_label_sortDown'));
@@ -29,5 +29,5 @@
 $normal_list = array(l10n('piclens_label_TypeTN'), l10n('piclens_label_TypeNorm'), l10n('piclens_label_TypeHigh'));
 //$nameformat_list = array('Nom vignette : taille', 'Nom vignette', 'Nom de l\'image');
-$nameformat_list = array(l10n('piclens_label_Name1'), l10n('piclens_label_Name2'), l10n('piclens_label_Name3'), l10n('piclens_label_Name4'));
+$nameformat_list = array(l10n('piclens_label_Name1'), l10n('piclens_label_Name2'), l10n('piclens_label_Name3'));
 //$descformat_list = array('Rien', 'Nom de l\'image', 'Description de l\'image');
 $descformat_list = array(l10n('piclens_label_Desc1'), l10n('piclens_label_Desc2'), l10n('piclens_label_Desc3'));
Index: /extensions/piclens/generate_rss.php
===================================================================
--- /extensions/piclens/generate_rss.php	(revision 3597)
+++ /extensions/piclens/generate_rss.php	(revision 3598)
@@ -42,5 +42,5 @@
 	$thumb_secure = array('', '&amp;thumb=1', '');	// correspondant a 1-->'miniature' et 2-->'normal'
 	$normal_secure = array('', '&amp;thumb=1', '', '&amp;highdef=1');	// correspondant a 1-->'miniature' et 2-->'normal' et 3 --> High
-	$order_list = array('', $conf['order_by_inside_category'], 'ORDER BY date_creation', 'ORDER BY date_available', 'ORDER BY average_rate', 'ORDER BY hit', 'ORDER BY file', 'ORDER BY id', 'ORDER BY RAND()', 'ORDER BY category_id', 'ORDER BY category_id, rank ');	
+	$order_list = array('', $conf['order_by_inside_category'], 'ORDER BY date_creation', 'ORDER BY date_available', 'ORDER BY average_rate', 'ORDER BY hit', 'ORDER BY file', 'ORDER BY id', 'ORDER BY RAND()', 'ORDER BY category_id');	
 	$order_sort = array('', '', ' ASC', ' DESC');
 
@@ -508,9 +508,4 @@
 						. $row['file'] . "]]></title>\n";
 					break;
-				case 4 :
-                    // Rien
-					echo "<title></title>\n";
-					break;
-                    
 				default :
 						// format nom fichier : taille
Index: /extensions/piclens/include/default_values.inc.php
===================================================================
--- /extensions/piclens/include/default_values.inc.php	(revision 3597)
+++ /extensions/piclens/include/default_values.inc.php	(revision 3598)
@@ -62,5 +62,12 @@
 
 $piclens_default_values['piclens_wall_swflocal'] = false;	// Flash swf local utilise pour le mur 3D (pas besoin du fichier crossdomain.xml mais pas de MAJ automatique du flash)
+
 $piclens_default_values['piclens_wall_nb_ligne']    = "3";
+$piclens_default_values['piclens_wall_showChrome']       = true;
+$piclens_default_values['piclens_wall_showDescription']       = true;
+$piclens_default_values['piclens_wall_showReflections']       = true;
+$piclens_default_values['piclens_wall_showTutorial']       = true;
+$piclens_default_values['piclens_wall_showNavArrows']       = true;
+$piclens_default_values['piclens_wall_backgroundAlpha']     = "0.0";
 
 ?>
Index: /extensions/piclens/language/fr_FR/plugin.lang.php
===================================================================
--- /extensions/piclens/language/fr_FR/plugin.lang.php	(revision 3597)
+++ /extensions/piclens/language/fr_FR/plugin.lang.php	(revision 3598)
@@ -84,6 +84,6 @@
 $lang['piclens_rsscfg_video'] 			= 'Activation des vid&eacute;os dans l\'interface Piclens/Cooliris';
 
-$lang['piclens_label_orderPiwigo'] 		= 'Defaut Piwigo';
-$lang['piclens_label_orderCreDate'] 	= 'Date de Creation';
+$lang['piclens_label_orderPiwigo'] 		= 'Défaut Piwigo';
+$lang['piclens_label_orderCreDate'] 	= 'Date de Création';
 $lang['piclens_label_orderAddDate'] 	= 'Date d\'ajout';
 $lang['piclens_label_orderAverage']     = 'Note Moyenne';
@@ -98,5 +98,5 @@
 $lang['piclens_label_sortCat'] 			= 'Piclens sur Cat&eacute;gories';
 
-$lang['piclens_label_sortPiwigo']		= 'Defaut Piwigo';
+$lang['piclens_label_sortPiwigo']		= $lang['piclens_label_orderPiwigo'];
 $lang['piclens_label_sortUp']			= 'Croissant';
 $lang['piclens_label_sortDown']			= 'Decroissant';
@@ -104,5 +104,5 @@
 $lang['piclens_label_TypeTN']			= 'Miniature';
 $lang['piclens_label_TypeNorm']			= 'Normal';
-$lang['piclens_label_TypeHigh']			= 'High';
+$lang['piclens_label_TypeHigh']			= 'Haute Définition';
 
 $lang['piclens_label_Name1']			= 'Nom vignette : taille';
@@ -111,6 +111,6 @@
 $lang['piclens_label_Name4']			= 'Rien';
 
-$lang['piclens_label_Desc1']			= 'Rien';
-$lang['piclens_label_Desc2']			= 'Nom de l\'image';
+$lang['piclens_label_Desc1']			= $lang['piclens_label_Name4'];
+$lang['piclens_label_Desc2']			= $lang['piclens_label_Name3'];
 $lang['piclens_label_Desc3']			= 'Description de l\'image';
 
@@ -120,5 +120,5 @@
 $lang['piclens_wallcfg_actived']		= 'Activation du mur 3D Cooliris ';
 $lang['piclens_wallcfg_name']			= 'Titre du mur 3D Cooliris :';
-$lang['piclens_wallcfg_info']			= '<b>Important pour que le mur 3D fonctionne :</b> Il est necessaire de copier le fichier';
+$lang['piclens_wallcfg_info']			= '<b>Important pour que le mur 3D fonctionne :</b> Il est nécessaire de copier le fichier';
 $lang['piclens_wallcfg_info_suite']		= '&agrave; la racine du site (ou modifier le fichier existant)';
 $lang['piclens_wallcfg_color']			= 'Couleur du fond pour le mur 3D Cooliris :';
Index: /extensions/piclens/main.inc.php
===================================================================
--- /extensions/piclens/main.inc.php	(revision 3597)
+++ /extensions/piclens/main.inc.php	(revision 3598)
@@ -2,5 +2,5 @@
 /*
  * Plugin Name: CoolIris-Piclens
- * Version: 0.3.5
+ * Version: 0.3.6
  * Description: Cooliris/Piclens activation
  * Plugin URI: http://fr.piwigo.org/ext/extension_view.php?eid=234
@@ -67,14 +67,10 @@
  /*  		Correction dans la traduction chinoise simplifiée */
  /*  		Correction page admin : titre mur 3D non sauvegarde*/
- /*  		Ajout parametre nombre lignes pour le mur 3D embeded*/
- /*  		Ajout possibilité de ne pas afficher de titre sous les images*/
- /*  		Ajout/correction tri par rang de l'image*/
- 
+ /* 0.3.6 --> Test integration double select	 */
  
 
 /********* TODO  *********/
-//- Ajouter un onglet en page d'admin pour tous les parametres du mur embeded (http://developer.cooliris.com/?p=embed/flash)
-//- Tri par rang
 //- possibilite d'afficher les derniers commentaires des images dans piclens
+//- intégrer la selection double des categories
 
 
Index: /extensions/piclens/piclenswall.php
===================================================================
--- /extensions/piclens/piclenswall.php	(revision 3597)
+++ /extensions/piclens/piclenswall.php	(revision 3598)
@@ -44,11 +44,4 @@
 			$template->set_filenames(array('piclenswall' => PICLENS_ROOT . '/piclenswall.tpl'));
 			
-//			$template->assign('piclenswalltitle', $this->my_config['piclens_wall_title']);
-//			$template->assign('rssfeed', $rssfeed);
-//			$template->assign('color', $this->my_config['piclens_wall_color']);
-//			$template->assign('height', $this->my_config['piclens_wall_height']);
-//			$template->assign('showfullscreen', ($this->my_config['piclens_wall_showfullscreen'] ? "true" : "false"));
-//			$template->assign('showembed', ($this->my_config['piclens_wall_showembed'] ? "true" : "false"));
-//			$template->assign('showsearch', ($this->my_config['piclens_wall_showsearch'] ? "true" : "false"));
 
 			$template->assign(array(
@@ -62,5 +55,14 @@
 				'transparent'			=> $this->my_config['piclens_wall_transparent'],
 				'swf_link'				=> ($this->my_config['piclens_wall_swflocal'] ? $this->root_site_piclens.PICLENS_PATH.'swf/cooliris.swf' : 'http://apps.cooliris.com/embed/cooliris.swf'),
-                 'nbligne'              => $this->my_config['piclens_wall_nb_ligne']
+                'nbligne'               => (isset($this->my_config['piclens_wall_nb_ligne']) ? $this->my_config['piclens_wall_nb_ligne'] : "3"),
+
+'showChrome'        => ($this->my_config['piclens_wall_showChrome'] ? "true" : "false"),
+'showDescription'        => ($this->my_config['piclens_wall_showDescription'] ? "true" : "false"),
+'showReflections'        => ($this->my_config['piclens_wall_showReflections'] ? "true" : "false"),
+'showTutorial'        => ($this->my_config['piclens_wall_showTutorial'] ? "true" : "false"),
+'showNavArrows'        => ($this->my_config['piclens_wall_showNavArrows'] ? "true" : "false"),
+'backgroundAlpha'       => isset($this->my_config['piclens_wall_backgroundAlpha']) ? $this->my_config['piclens_wall_backgroundAlpha'] : "0.0",
+                
+                
 			));
 			
Index: /extensions/piclens/piclenswall.tpl
===================================================================
--- /extensions/piclens/piclenswall.tpl	(revision 3597)
+++ /extensions/piclens/piclenswall.tpl	(revision 3598)
@@ -9,19 +9,19 @@
 	<object id="o" classid="clsid:D27CDB6E-AE6D-11cf-96B8-444553540000" 
 		width="100%" height="{$height}" >
-			<param name="movie" value="{$swf_link}?feed={$rssfeed}&amp;style={$color}&amp;numRows={$nbligne}&amp;showEmbed={$showembed}&amp;showFullScreen={$showfullscreen}&amp;showSearch={$showsearch}" />
+			<param name="movie" value="{$swf_link}?feed={$rssfeed}&amp;style={$color}&amp;showEmbed={$showembed}&amp;showFullScreen={$showfullscreen}&amp;showSearch={$showsearch}&amp;numRows={$nbligne}&amp;showChrome={$showChrome}&amp;showDescription={$showDescription}&amp;showReflections={$showReflections}&amp;showTutorial={$showTutorial}&amp;showNavArrows={$showNavArrows}&amp;backgroundAlpha={$backgroundAlpha}" />
 			<param name="allowFullScreen" value="{$showfullscreen}" />
 			<param name="showEmbed" value="{$showembed}" />
 			<param name="showSearch" value="{$showsearch}" />
 			<param name="allowScriptAccess" value="always" />
-            <param name="flashvars" value="feed=api://www.flickr.com/&amp;style={$color}&amp;numRows={$nbligne}" />
+            <param name="flashvars" value="feed={$rssfeed}&amp;style={$color}&amp;showEmbed={$showembed}&amp;showFullScreen={$showfullscreen}&amp;showSearch={$showsearch}&amp;numRows={$nbligne}&amp;showChrome={$showChrome}&amp;showDescription={$showDescription}&amp;showReflections={$showReflections}&amp;showTutorial={$showTutorial}&amp;showNavArrows={$showNavArrows}&amp;backgroundAlpha={$backgroundAlpha}" />
+
             
 			{if $transparent}
 			<param name="wmode" value="transparent" />
 			{/if}
-			<embed {if $transparent}WMODE="transparent" {/if} type="application/x-shockwave-flash" src="{$swf_link}?feed={$rssfeed}&amp;style={$color}&amp;numRows={$nbligne}&amp;showEmbed={$showembed}&amp;showFullScreen={$showfullscreen}&amp;showSearch={$showsearch}" width="100%" height="{$height}" showEmbed="{$showembed}" showSearch="{$showsearch}" allowFullScreen="{$showfullscreen}" allowScriptAccess="always" style="{$color}" numRows="{$nbligne}"/>
+			<embed {if $transparent}WMODE="transparent" {/if} type="application/x-shockwave-flash" src="{$swf_link}?feed={$rssfeed}&amp;style={$color}&amp;showEmbed={$showembed}&amp;showFullScreen={$showfullscreen}&amp;showSearch={$showsearch}&amp;numRows={$nbligne}&amp;showChrome={$showChrome}&amp;showDescription={$showDescription}&amp;showReflections={$showReflections}&amp;showTutorial={$showTutorial}&amp;showNavArrows={$showNavArrows}&amp;backgroundAlpha={$backgroundAlpha}" width="100%" height="{$height}" showEmbed="{$showembed}" showSearch="{$showsearch}" allowFullScreen="{$showfullscreen}" allowScriptAccess="always" style="{$color}" numRows="{$nbligne}" showChrome="{$showChrome}" showDescription="{$showDescription}" showReflections="{$showReflections}" showTutorial="{$showTutorial}" showNavArrows="{$showNavArrows}"  backgroundAlpha="{$backgroundAlpha}"/>
 	</object>
 	</center>
 
-
 </div>
 {/if}
